//Ein kleines Beispiel fr die Anwendung von Steganographie mit der LSB-Methode
//Autor: Markus Lange-Hegermann
//Email: MarkusLH@gmx.de, MarkusLH@web.de MarkusLH@Delphi-Treff.de
//Instant Messages: Markuslh83@hotmail.com, 116891458, 92239400, LangeHeg
//Fr Updates (eher selten): www.Delphi-Treff.de
//Dieses Programm ist Opensource: In meinem verstndnis bedeutet dies, dass
//Freewareprogramme beliebig aus diesem Programm abschreiben knnen (sollte ich
//erwhnt werden) und es weiterentwickeln drfen. Aber jegliche komerzielle
//Nutzung der Quelltexte und seiner Weiterentwicklung ist ohne meine
//audrckliche Erlaubnis Strafbar.

//Statusanzeigeformular.
//Die Methode Start Initialisiert das Formular und zeigt es an.
//Max ist die maximale anzahl an Werten, um die Progress die Anzeige erhht.
//Progress setzt die Fortschrittsanzeige um einen Punkt weiter.
//Abort zeigt an, ob der Abbrechen-Button gedrckt wurde
unit UStatus;
               
interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons;

type
  TStatusForm = class(TForm)
    bbtAbort: TBitBtn;
    ProgressBar1: TProgressBar;
    procedure bbtAbortClick(Sender: TObject);
  public
    Abort: Boolean;
    procedure Start(Max: Integer);
    Procedure Progress;
  end;

var
  StatusForm: TStatusForm;

implementation

{$R *.DFM}

procedure TStatusForm.bbtAbortClick(Sender: TObject);
begin
  Abort:=true;
end;

procedure TStatusForm.Start(Max: Integer);
begin
  Abort:=False;
  Progressbar1.Max:=Max;
  Show;
end;

Procedure TStatusForm.Progress;
begin
  if (Progressbar1.Max>0)or(not abort)or(Progressbar1.Position=Progressbar1.Max)
    then Progressbar1.Position:=Progressbar1.Position+1;
  if Progressbar1.Position>=Progressbar1.Max then Abort:=true;
end;

end.
